<?php

/**
 * @file
 * This file contains the callbacks for the manu paths
 * Generates the page to show the favorite order to the user
 */

/**
 * Menu page callback.
 */
function uc_favorder_show_favorite_order($uid = NULL) {
  $products = uc_favorder_get_order($uid);

  // Check if we have a stored favorite order
  if ($products) {

    $content = '<div id="favorder" class="with-favorder">';

    $account = user_load($uid);
    // @todo Improve message
    $content .= t('<p>Hello @user, this is your favorite Order</p>', array('@user' =>  $account->name));

    // Counter
    $item_count = 0;
    // Order total
    $total = 0;
    // Prepare each product for display
    foreach ($products as $item) {
      $display_item = module_invoke($item->module, 'cart_display', $item);

      if (!empty($display_item)) {
        $items[] = array(
          'nid' => $display_item['nid']['#value'],
          'qty' => t('@qty&times;', array('@qty' => $display_item['qty']['#default_value'])),
          'title' => $display_item['title']['#value'],
          'price' => $display_item['#total'],
          'desc' => isset($display_item['description']['#value']) ? $display_item['description']['#value'] : FALSE,
        );
      }
      $item_count += $item->qty;
      $total += $display_item['#total'];
    }
    // Add a table of items in the order.
    $content .= theme('uc_cart_block_items', $items);

    // Build the item count text and cart links.
    $item_text = format_plural($item_count, '<span class="num-items">@count</span> Item', '<span class="num-items">@count</span> Items');
    $summary_links = NULL;

    $content .= theme('uc_cart_block_summary', $item_count, $item_text, $total, $summary_links);
    // Retrieve form to add products to the cart
    // Pass uid to the form
    $content .= drupal_get_form('uc_favorder_load_favorder', $uid);
  }
  // If no favorite order is stored, inform the user
  else{
    $content = '<div id="favorder" class="without-favorder">';
    $content .= t('Sorry, you have no favorite order at this time.<br />To create it add products to your shopping cart.');
  }
  $content .= '</div>';
  return $content;
}
